module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// identity function for calling harmony imports with the correct context
/******/ 	__webpack_require__.i = function(value) { return value; };
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 15);
/******/ })
/************************************************************************/
/******/ ({

/***/ "./src/androidPlaystore/index.js":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_lodash__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_lodash___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_lodash__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__common_executeCommand__ = __webpack_require__("./src/common/executeCommand.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__common_addNpmScript__ = __webpack_require__("./src/common/addNpmScript.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__common_copy__ = __webpack_require__("./src/common/copy.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_prompt_promise__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_prompt_promise___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_prompt_promise__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_gradle_to_js_lib_parser__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_gradle_to_js_lib_parser___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_5_gradle_to_js_lib_parser__);
function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }








const apkFolder = 'android/app/build/outputs/apk';
const buildApkCommand = buildType => `(cd android && ./gradlew assemble${buildType})`;
const supplyCommand = (buildType, playServiceAccount, applicationId) => {
  return `fastlane supply --apk ${apkFolder}/app-${buildType}.apk --track alpha --json_key ${playServiceAccount} --package_name ${applicationId}.${buildType}`;
};

const applicationIdFromBuildGradle = (() => {
  var _ref = _asyncToGenerator(function* () {
    const gradleBuild = yield __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_5_gradle_to_js_lib_parser__["parseFile"])('./android/app/build.gradle');
    return __WEBPACK_IMPORTED_MODULE_0_lodash___default.a.get(gradleBuild, 'android.defaultConfig.applicationId');
  });

  return function applicationIdFromBuildGradle() {
    return _ref.apply(this, arguments);
  };
})();

const deployScript = (buildType, applicationId) => {
  return `${buildApkCommand(__WEBPACK_IMPORTED_MODULE_0_lodash___default.a.upperFirst(buildType))} && npm run android:increment && ${supplyCommand(buildType, './android/playServiceAccount.json', applicationId)}`;
};

/* harmony default export */ __webpack_exports__["a"] = (_asyncToGenerator(function* () {
  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1__common_executeCommand__["a" /* checkCommandsExist */])(['fastlane']);

  const applicationId = yield applicationIdFromBuildGradle();
  const serviceAccountFile = yield __WEBPACK_IMPORTED_MODULE_4_prompt_promise___default()(`We're going to setup supply to push Android APKs to play store.
    Follow these instructions to generate the .json file.

    https://github.com/fastlane/fastlane/tree/master/supply#setup

    .json filepath: `);

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_3__common_copy__["a" /* copyFiles */])(serviceAccountFile, './android/playServiceAccount.json');

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1__common_executeCommand__["b" /* default */])(buildApkCommand('Staging'));
  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1__common_executeCommand__["b" /* default */])(buildApkCommand('Release'));

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1__common_executeCommand__["b" /* default */])('npm install react-native-version');

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_2__common_addNpmScript__["a" /* default */])('android:increment', `react-native-version --target android --increment-build`);
  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_2__common_addNpmScript__["a" /* default */])('deploy:android:staging', deployScript('staging', applicationId));
  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_2__common_addNpmScript__["a" /* default */])('deploy:android:release', deployScript('release', applicationId));

  console.log(`Your turn!

    Create an app in google play store: https://play.google.com/apps/publish/

    Go to 'App Releases' on left, hit 'Manage Alpha' and create a release.

    ** You must 'Opt Out' of the google code signing **

    Manually upload the staging apk from this folder: ${apkFolder}



    Run npm run deploy:android:staging to test automatic deployments.

    Repeat the same steps for release`);
}));

/***/ }),

/***/ "./src/common/addNpmScript.js":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__updateJson__ = __webpack_require__("./src/common/updateJson.js");
var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };



const DONT_PRINT = false;

/* harmony default export */ __webpack_exports__["a"] = ((name, command) => {
  console.log(`\nAdding npm script: "${name}": "${command}" \n`);
  try {
    const packaged = __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__updateJson__["a" /* getFile */])();
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__updateJson__["b" /* default */])({ scripts: _extends({}, packaged.scripts, { [name]: command }) }, './package.json', DONT_PRINT);
  } catch (e) {
    if (e.message === "ENOENT, no such file or directory 'package.json'") {
      throw e;
    } else {
      throw e;
    }
  }
});

/***/ }),

/***/ "./src/common/copy.js":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_fs_extra__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_fs_extra___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_fs_extra__);


const copyFiles = (fromPath, toPath) => {
  console.log(`Copying from: ${fromPath} to: ${toPath}`);
  __WEBPACK_IMPORTED_MODULE_0_fs_extra___default.a.copySync(fromPath, toPath);
};
/* harmony export (immutable) */ __webpack_exports__["a"] = copyFiles;


/***/ }),

/***/ "./src/common/executeCommand.js":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_lodash__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_lodash___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_lodash__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_child_process__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_child_process___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_child_process__);



/* harmony default export */ __webpack_exports__["b"] = (command => {
  console.log(`\nExecuting: ${command} \n`);
  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1_child_process__["execSync"])(command, { stdio: [0, 1, 2] });
});

const doesCommandExist = command => {
  try {
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1_child_process__["execSync"])(command, { stdio: [] });
  } catch (e) {
    return e.status <= 1;
  }
  return true;
};
/* unused harmony export doesCommandExist */


const checkCommandsExist = commands => {
  const commandsWithErrors = __WEBPACK_IMPORTED_MODULE_0_lodash___default.a.reject(commands, doesCommandExist);
  if (!__WEBPACK_IMPORTED_MODULE_0_lodash___default.a.isEmpty(commandsWithErrors)) {
    throw new Error(`Could not find prerequisite commands on path: ${commandsWithErrors.join(', ')}`);
  }
};
/* harmony export (immutable) */ __webpack_exports__["a"] = checkCommandsExist;


/***/ }),

/***/ "./src/common/replace.js":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_replace_in_file__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_replace_in_file___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_replace_in_file__);


const replaceInFile = (file, toReplace, newString) => {
  console.log(`\nReplacing ${newString} after ${toReplace} in: ${file}`);
  const options = {
    files: file,
    from: toReplace,
    to: newString
  };
  __WEBPACK_IMPORTED_MODULE_0_replace_in_file___default.a.sync(options);
};
/* harmony export (immutable) */ __webpack_exports__["a"] = replaceInFile;


const addInFileAfter = (file, toReplace, newString) => {
  console.log(`\nAdding ${newString} after ${toReplace} in: ${file}`);

  const options = {
    files: file,
    from: toReplace,
    to: `${toReplace} ${newString}`
  };
  __WEBPACK_IMPORTED_MODULE_0_replace_in_file___default.a.sync(options);
};
/* harmony export (immutable) */ __webpack_exports__["b"] = addInFileAfter;


const addInFileBefore = (file, toReplace, newString) => {
  console.log(`\nAdding ${newString} before ${toReplace} in: ${file}`);

  const options = {
    files: file,
    from: toReplace,
    to: `${newString}${toReplace}`
  };
  __WEBPACK_IMPORTED_MODULE_0_replace_in_file___default.a.sync(options);
};
/* harmony export (immutable) */ __webpack_exports__["c"] = addInFileBefore;


/***/ }),

/***/ "./src/common/updateJson.js":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_jsonfile__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_jsonfile___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_jsonfile__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_json_stringify_pretty_compact__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_json_stringify_pretty_compact___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_json_stringify_pretty_compact__);
var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };




const getFile = (packageFile = './package.json') => __WEBPACK_IMPORTED_MODULE_0_jsonfile___default.a.readFileSync(packageFile);
/* harmony export (immutable) */ __webpack_exports__["a"] = getFile;


/* harmony default export */ __webpack_exports__["b"] = ((toMergeIn, packageFile = './package.json', print = true) => {
  if (print) {
    console.log(`\n adding ${__WEBPACK_IMPORTED_MODULE_1_json_stringify_pretty_compact___default()(toMergeIn)} to ${packageFile}\n`);
  }
  const packaged = getFile();
  const newPackaged = _extends({}, packaged, toMergeIn);
  __WEBPACK_IMPORTED_MODULE_0_jsonfile___default.a.writeFileSync(packageFile, newPackaged, { spaces: 2 });
});

/***/ }),

/***/ "./src/common/utils.js":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_lodash__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_lodash___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_lodash__);


const arrayWrap = x => {
  if (__WEBPACK_IMPORTED_MODULE_0_lodash___default.a.isArray(x)) {
    return x;
  }
  if (__WEBPACK_IMPORTED_MODULE_0_lodash___default.a.isNil(x)) {
    return [];
  }
  return [x];
};
/* harmony export (immutable) */ __webpack_exports__["a"] = arrayWrap;


/***/ }),

/***/ "./src/index.js":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_lodash__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_lodash___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_lodash__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_yargs__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_yargs___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_yargs__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__prettierLint__ = __webpack_require__("./src/prettierLint/index.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__reactNativeConfig__ = __webpack_require__("./src/reactNativeConfig/index.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__iosDeployment__ = __webpack_require__("./src/iosDeployment/index.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__androidPlaystore__ = __webpack_require__("./src/androidPlaystore/index.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__provisioningProfiles__ = __webpack_require__("./src/provisioningProfiles/index.js");








const firstArg = __WEBPACK_IMPORTED_MODULE_0_lodash___default.a.get(__WEBPACK_IMPORTED_MODULE_1_yargs___default.a.argv, '_[0]');

if (firstArg === 'prettier-lint') {
  console.log('Adding Prettier');
  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_2__prettierLint__["a" /* default */])();
} else if (firstArg === 'react-native-config') {
  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_3__reactNativeConfig__["a" /* default */])();
} else if (firstArg === 'ios-deployment') {
  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_4__iosDeployment__["a" /* default */])();
} else if (firstArg === 'android-deployment') {
  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_5__androidPlaystore__["a" /* default */])();
} else if (firstArg === 'provisioning-profiles') {
  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_6__provisioningProfiles__["a" /* default */])();
}

/***/ }),

/***/ "./src/iosDeployment/index.js":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__common_replace__ = __webpack_require__("./src/common/replace.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__common_copy__ = __webpack_require__("./src/common/copy.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__common_addNpmScript__ = __webpack_require__("./src/common/addNpmScript.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__reactNativeConfig_reactNative__ = __webpack_require__("./src/reactNativeConfig/reactNative.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_path__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_path___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_path__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__common_executeCommand__ = __webpack_require__("./src/common/executeCommand.js");
function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }








/* harmony default export */ __webpack_exports__["a"] = (_asyncToGenerator(function* () {
  console.log('Adding npm deployment scripts');

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_2__common_addNpmScript__["a" /* default */])('deploy:ios:staging', 'CONFIGURATION=Staging bin/pushToITunes.sh');
  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_2__common_addNpmScript__["a" /* default */])('deploy:ios:release', 'CONFIGURATION=Release bin/pushToITunes.sh');
  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_2__common_addNpmScript__["a" /* default */])('ios:increment', `react-native-version --target ios --increment-build`);

  const xcodeProjectName = __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_3__reactNativeConfig_reactNative__["a" /* findReactNativeProjectName */])();

  console.log('Building ios deployment script');

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1__common_copy__["a" /* copyFiles */])(__WEBPACK_IMPORTED_MODULE_4_path___default.a.join(__dirname, 'src/iosDeployment/pushToITunes.sh'), `./bin/pushToITunes.sh`);

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__common_replace__["a" /* replaceInFile */])('./bin/pushToITunes.sh', 'WORKSPACE_FILE="ios/.xcworkspace/"', `WORKSPACE_FILE="ios/${xcodeProjectName}.xcworkspace/"`);
  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__common_replace__["a" /* replaceInFile */])('./bin/pushToITunes.sh', 'SCHEME=""', `SCHEME="${xcodeProjectName}"`);

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_5__common_executeCommand__["b" /* default */])('chmod u+x ./bin/pushToITunes.sh');

  console.log('installing cocoa pods');
  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_5__common_executeCommand__["b" /* default */])('cd ios && pod init');

  // prettier-ignore
  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__common_replace__["a" /* replaceInFile */])('./ios/Podfile', '# Uncomment the next line to define a global platform for your project', `project '${xcodeProjectName}.xcodeproj/'` + '\n' + '\n' + '# Uncomment the next line to define a global platform for your project');
  // pod init is creating 2 instances of the tvOS pod commands so one of them is getting removed here
  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__common_replace__["a" /* replaceInFile */])('./ios/Podfile', `target '${xcodeProjectName}-tvOS' do
  # Uncomment the next line if you're using Swift or would like to use dynamic frameworks
  # use_frameworks!

  # Pods for ${xcodeProjectName}-tvOS

  target '${xcodeProjectName}-tvOSTests' do
    inherit! :search_paths
    # Pods for testing
  end

end`, '');

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_5__common_executeCommand__["b" /* default */])('cd ios && pod install');

  console.log('deployment scripts added look for "deploy:ios:staging" and "deploy:ios:release" in package.json');
}));

/***/ }),

/***/ "./src/prettierLint/index.js":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_fs_extra__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_fs_extra___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_fs_extra__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_path__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_path___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_path__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__common_addNpmScript__ = __webpack_require__("./src/common/addNpmScript.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__common_updateJson__ = __webpack_require__("./src/common/updateJson.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__common_executeCommand__ = __webpack_require__("./src/common/executeCommand.js");






/* harmony default export */ __webpack_exports__["a"] = (() => {
  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_4__common_executeCommand__["b" /* default */])('npm install --save-dev prettier babel-eslint eslint-config-prettier eslint-plugin-prettier husky lint-staged sort-package-json');

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_4__common_executeCommand__["b" /* default */])(`(
    export PKG=eslint-config-airbnb;
    npm info "$PKG@latest" peerDependencies --json | command sed 's/[{},]//g ; s/: /@/g' | xargs npm install --save-dev "$PKG@latest"
  )`);

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_2__common_addNpmScript__["a" /* default */])('prettier', 'prettier --single-quote --trailing-comma all --no-semi --print-width 180 --write');

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_2__common_addNpmScript__["a" /* default */])('format:js', 'npm run prettier -- "src/**/*.js"');

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_2__common_addNpmScript__["a" /* default */])('precommit', 'lint-staged && npm run lint');

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_2__common_addNpmScript__["a" /* default */])('lint', 'eslint ./src --ext=js');

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_3__common_updateJson__["b" /* default */])({
    'lint-staged': {
      'src/**/*.js': ['npm run prettier --', 'git add'],
      'package.json': ['sort-package-json', 'git add']
    }
  }, './package.json');

  __WEBPACK_IMPORTED_MODULE_0_fs_extra___default.a.copySync(__WEBPACK_IMPORTED_MODULE_1_path___default.a.join(__dirname, 'src/prettierLint/.eslintrc'), './.eslintrc');

  console.log('Finished Adding Prettier');
});

/***/ }),

/***/ "./src/provisioningProfiles/index.js":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__common_executeCommand__ = __webpack_require__("./src/common/executeCommand.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prompt_promise__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prompt_promise___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_prompt_promise__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__common_addNpmScript__ = __webpack_require__("./src/common/addNpmScript.js");
function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }





/* harmony default export */ __webpack_exports__["a"] = (_asyncToGenerator(function* () {
  console.log('Checking prerequisite installs');
  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__common_executeCommand__["a" /* checkCommandsExist */])(['fastlane', 'xcode-select']);

  console.log('Please go to https://developer.apple.com/account and access Certificates, Identifiers & Profiles');
  console.log('Under Identifiers add a new App IDs add you app, your Bundle Identifier can be found in xcode');
  console.log('Add a IOS device to the Devices tab in Certificates, Identifiers & Profiles, you device UUID can be found in xcode under window > devices when it is plugged in');

  const response = yield __WEBPACK_IMPORTED_MODULE_1_prompt_promise___default()('Have you completed the previously logged steps? (y/n)');

  if (response !== 'y') {
    process.exit(1);
  }

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__common_executeCommand__["b" /* default */])(`fastlane match init`);

  console.log('Creating development certificates');

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__common_executeCommand__["b" /* default */])('fastlane match development');

  console.log('Createing AppStore certificates');

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__common_executeCommand__["b" /* default */])('fastlane match appstore');

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_2__common_addNpmScript__["a" /* default */])('apple:sync', 'fastlane match development --readonly && fastlane match appstore --readonly');
}));

/***/ }),

/***/ "./src/reactNativeConfig/android.js":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_crypto__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_crypto___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_crypto__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__common_replace__ = __webpack_require__("./src/common/replace.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__common_executeCommand__ = __webpack_require__("./src/common/executeCommand.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_fs_extra__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_fs_extra___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_fs_extra__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_indent_string__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_indent_string___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_indent_string__);






/* eslint-disable no-useless-escape */
const setAppNameForBuildType = (appName, buildType) => {
  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1__common_replace__["b" /* addInFileAfter */])('./android/app/build.gradle', `${buildType} {`, __WEBPACK_IMPORTED_MODULE_4_indent_string___default()(`\nresValue "string", "app_name", "${appName}"`, 12));
};

const addApplicationIdSuffixForBuildType = buildType => {
  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1__common_replace__["b" /* addInFileAfter */])('./android/app/build.gradle', `${buildType} {`, __WEBPACK_IMPORTED_MODULE_4_indent_string___default()(`\napplicationIdSuffix ".${buildType}"`, 12));
};

const applicationIdSuffixPerEnvironment = () => {
  addApplicationIdSuffixForBuildType('debug');
  addApplicationIdSuffixForBuildType('staging');
  addApplicationIdSuffixForBuildType('release');
};
/* harmony export (immutable) */ __webpack_exports__["a"] = applicationIdSuffixPerEnvironment;


const appNameSuffixPerEnvironment = appName => {
  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1__common_replace__["a" /* replaceInFile */])('./android/app/src/main/res/values/strings.xml', /<string name=\"app_name\">.+<\/string>/, '');

  setAppNameForBuildType(`${appName} Debug`, 'debug');
  setAppNameForBuildType(`${appName} Staging`, 'staging');
  setAppNameForBuildType(appName, 'release');
};
/* harmony export (immutable) */ __webpack_exports__["b"] = appNameSuffixPerEnvironment;


const generateKeystore = (gradleFile, appId, buildType) => {
  const storePassword = __WEBPACK_IMPORTED_MODULE_0_crypto___default.a.randomBytes(64).toString('base64');
  const keyPassword = __WEBPACK_IMPORTED_MODULE_0_crypto___default.a.randomBytes(64).toString('base64');
  const keyStoreFile = `keyStores/${buildType}.keystore`;

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_2__common_executeCommand__["b" /* default */])(`keytool -genkey -v -keystore ./android/app/${keyStoreFile} -alias ${buildType} -keyalg RSA -keysize 2048 -validity 10000 -storepass ${storePassword} -keypass ${keyPassword} -dname "CN=${appId}, OU=Unknown, O=Unknown, L=Unknown, ST=Unknown, C=Unknown"`);

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1__common_replace__["b" /* addInFileAfter */])(gradleFile, `${buildType} {`, __WEBPACK_IMPORTED_MODULE_4_indent_string___default()(`\nsigningConfig signingConfigs.${buildType}`, 12));

  // prettier-ignore
  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1__common_replace__["b" /* addInFileAfter */])(gradleFile, 'signingConfigs {', __WEBPACK_IMPORTED_MODULE_4_indent_string___default()('\n' + `${buildType} {\n` + `  storeFile file("./${keyStoreFile}")\n` + `  storePassword "${storePassword}"\n` + `  keyAlias "${buildType}"\n` + `  keyPassword "${keyPassword}"\n` + '}\n', 8));
};

const setupApkSigning = (appId, gradleFile = './android/app/build.gradle') => {
  // prettier-ignore
  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1__common_replace__["c" /* addInFileBefore */])('./android/app/build.gradle', __WEBPACK_IMPORTED_MODULE_4_indent_string___default()('buildTypes {', 4), __WEBPACK_IMPORTED_MODULE_4_indent_string___default()('\n' + 'signingConfigs {\n' + '}\n', 4));

  __WEBPACK_IMPORTED_MODULE_3_fs_extra___default.a.mkdirp('./android/app/keyStores');
  generateKeystore(gradleFile, appId, 'debug');
  generateKeystore(gradleFile, appId, 'staging');
  generateKeystore(gradleFile, appId, 'release');

  // We want to commit the keystores to git.
  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1__common_replace__["a" /* replaceInFile */])('./.gitignore', '*.keystore', '');
};
/* harmony export (immutable) */ __webpack_exports__["c"] = setupApkSigning;


/***/ }),

/***/ "./src/reactNativeConfig/index.js":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__common_replace__ = __webpack_require__("./src/common/replace.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__common_executeCommand__ = __webpack_require__("./src/common/executeCommand.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__common_addNpmScript__ = __webpack_require__("./src/common/addNpmScript.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__common_updateJson__ = __webpack_require__("./src/common/updateJson.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_prompt_promise__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_prompt_promise___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_prompt_promise__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__common_copy__ = __webpack_require__("./src/common/copy.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_path__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_path___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_6_path__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7_indent_string__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7_indent_string___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_7_indent_string__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__reactNative__ = __webpack_require__("./src/reactNativeConfig/reactNative.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__xcodeProject__ = __webpack_require__("./src/reactNativeConfig/xcodeProject.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__android__ = __webpack_require__("./src/reactNativeConfig/android.js");
function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }















/* eslint-disable no-useless-concat, no-useless-escape */

/* harmony default export */ __webpack_exports__["a"] = (_asyncToGenerator(function* () {
  console.log('Checking prerequisite installs');
  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1__common_executeCommand__["a" /* checkCommandsExist */])(['npm', 'keytool', 'fastlane']);
  console.log('Adding React Native Config');

  const bundleId = yield __WEBPACK_IMPORTED_MODULE_4_prompt_promise___default()('bundleId (e.g. com.zdev.something): ');
  const appName = yield __WEBPACK_IMPORTED_MODULE_4_prompt_promise___default()('App Name (e.g. Expresso): ');

  const xcodeProjectName = __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_8__reactNative__["a" /* findReactNativeProjectName */])();

  const projectFile = __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_8__reactNative__["b" /* projectFileFromProjectName */])(xcodeProjectName);

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_9__xcodeProject__["a" /* copyBuildConfiguration */])(projectFile, 'Release', 'Staging');

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_9__xcodeProject__["b" /* addPreProcessorEnvironments */])(projectFile);

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_9__xcodeProject__["c" /* bundleIdPerEnvironment */])(xcodeProjectName, bundleId);

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_9__xcodeProject__["d" /* appNamePerEnvironment */])(xcodeProjectName, appName);

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_9__xcodeProject__["e" /* iconsPerEnvironment */])(xcodeProjectName);

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1__common_executeCommand__["b" /* default */])('npm install --save-dev react-native-schemes-manager');

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_2__common_addNpmScript__["a" /* default */])('postinstall', 'react-native-schemes-manager all');

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_3__common_updateJson__["b" /* default */])({
    xcodeSchemes: {
      Release: ['Staging'],
      Debug: []
    }
  }, './package.json');

  // package-lock.json had to be removed to make this work.
  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1__common_executeCommand__["b" /* default */])('rm package-lock.json && npm install');

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__common_replace__["a" /* replaceInFile */])(`./ios/${xcodeProjectName}/AppDelegate.m`, 'initialProperties:nil', 'initialProperties:@{@"environment" : ENVIRONMENT}');

  // prettier-ignore
  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__common_replace__["b" /* addInFileAfter */])('./android/app/build.gradle', 'import com.android.build.OutputFile', '\n\n' + 'project.ext.react = [' + '  bundleInStaging: true,\n' + '  bundleInRelease: true\n' + ']\n');

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__common_replace__["b" /* addInFileAfter */])('./android/app/build.gradle', `proguardFiles getDefaultProguardFile("proguard-android.txt"), "proguard-rules.pro"
        }`, `\n        staging {
            minifyEnabled enableProguardInReleaseBuilds
            proguardFiles getDefaultProguardFile("proguard-android.txt"), "proguard-rules.pro"
        }`);

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__common_replace__["b" /* addInFileAfter */])(`./android/app/src/main/java/com/${xcodeProjectName}/MainActivity.java`, `return "${xcodeProjectName}";
    }`, `\n    @Override
    protected ReactActivityDelegate createReactActivityDelegate() {
        return new ReactActivityDelegate(this, getMainComponentName()) {
          @Nullable
            @Override
            protected Bundle getLaunchOptions() {
                Bundle initialProps = new Bundle();
                initialProps.putString("environment", BuildConfig.BUILD_TYPE);
                return initialProps;
            }
        };
    }`);

  // prettier-ignore
  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__common_replace__["b" /* addInFileAfter */])(`./android/app/src/main/java/com/${xcodeProjectName}/MainActivity.java`, `import com.facebook.react.ReactActivity;`, '\n' + 'import com.facebook.react.ReactActivityDelegate;\n' + 'import android.os.Bundle;\n' + 'import android.support.annotation.Nullable;\n');

  // prettier-ignore
  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__common_replace__["a" /* replaceInFile */])('./android/app/build.gradle', /applicationId \".*\"/, `applicationId "${bundleId}"`);

  // prettier-ignore
  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__common_replace__["b" /* addInFileAfter */])('./android/app/build.gradle', 'buildTypes {', __WEBPACK_IMPORTED_MODULE_7_indent_string___default()('\n' + 'debug {\n' + '}', 8));

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_10__android__["a" /* applicationIdSuffixPerEnvironment */])();
  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_10__android__["b" /* appNameSuffixPerEnvironment */])(appName);

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_5__common_copy__["a" /* copyFiles */])(__WEBPACK_IMPORTED_MODULE_6_path___default.a.join(__dirname, 'src/reactNativeConfig/androidAppIcons'), `./android/app/src/`);

  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_10__android__["c" /* setupApkSigning */])(bundleId);
}));

/***/ }),

/***/ "./src/reactNativeConfig/reactNative.js":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_fs__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_fs___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_fs__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_lodash__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_lodash___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_lodash__);



const XCODE_PROJECT_SUFFIX = '.xcodeproj';

const findReactNativeProjectName = () => {
  const files = __WEBPACK_IMPORTED_MODULE_0_fs___default.a.readdirSync('./ios');
  const xcodeProjectFile = __WEBPACK_IMPORTED_MODULE_1_lodash___default.a.find(files, f => f.endsWith(XCODE_PROJECT_SUFFIX));
  return xcodeProjectFile.replace(XCODE_PROJECT_SUFFIX, '');
};
/* harmony export (immutable) */ __webpack_exports__["a"] = findReactNativeProjectName;


const projectFileFromProjectName = xcodeProjectName => `ios/${xcodeProjectName}.xcodeproj/project.pbxproj`;
/* harmony export (immutable) */ __webpack_exports__["b"] = projectFileFromProjectName;


/***/ }),

/***/ "./src/reactNativeConfig/xcodeProject.js":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_xcode__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_xcode___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_xcode__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_lodash__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_lodash___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_lodash__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_fs_extra__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_fs_extra___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_fs_extra__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__common_copy__ = __webpack_require__("./src/common/copy.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__common_utils__ = __webpack_require__("./src/common/utils.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_plist__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_plist___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_5_plist__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_path__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_path___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_6_path__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__reactNative__ = __webpack_require__("./src/reactNativeConfig/reactNative.js");
var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };











const xcodeProjectFromFile = projectPath => __WEBPACK_IMPORTED_MODULE_0_xcode___default.a.project(projectPath).parseSync();

const saveXcodeProject = (projectPath, xcodeProject) => __WEBPACK_IMPORTED_MODULE_2_fs_extra___default.a.writeFileSync(projectPath, xcodeProject.writeSync());

const updateInfoPlist = (infoPlistFile, key, value) => {
  const data = __WEBPACK_IMPORTED_MODULE_5_plist___default.a.parse(__WEBPACK_IMPORTED_MODULE_2_fs_extra___default.a.readFileSync(infoPlistFile, 'utf8'));
  __WEBPACK_IMPORTED_MODULE_2_fs_extra___default.a.writeFileSync(infoPlistFile, __WEBPACK_IMPORTED_MODULE_5_plist___default.a.build(_extends({}, data, { [key]: value })));
};

const getBuildConfigurations = projectPath => {
  const xcodeProject = xcodeProjectFromFile(projectPath);
  return __WEBPACK_IMPORTED_MODULE_1_lodash___default.a.chain(xcodeProject.pbxXCBuildConfigurationSection()).map(buildConfiguration => buildConfiguration.name).uniq().compact().value();
};

const findBuildConfigs = (xcodeProject, buildConfiguration) => __WEBPACK_IMPORTED_MODULE_1_lodash___default.a.filter(xcodeProject.pbxXCBuildConfigurationSection(), config => config.name === buildConfiguration);

const findProjectBuildConfig = (xcodeProject, buildConfiguration) => __WEBPACK_IMPORTED_MODULE_1_lodash___default.a.find(findBuildConfigs(xcodeProject, buildConfiguration), config => !__WEBPACK_IMPORTED_MODULE_1_lodash___default.a.has(config, 'buildSettings.PRODUCT_NAME'));

const findAppBuildConfig = (xcodeProject, buildConfiguration) => __WEBPACK_IMPORTED_MODULE_1_lodash___default.a.find(findBuildConfigs(xcodeProject, buildConfiguration), config => {
  const infoPlistFile = __WEBPACK_IMPORTED_MODULE_1_lodash___default.a.get(config, 'buildSettings.INFOPLIST_FILE');
  return !__WEBPACK_IMPORTED_MODULE_1_lodash___default.a.includes(infoPlistFile, 'tvOS') && !__WEBPACK_IMPORTED_MODULE_1_lodash___default.a.includes(infoPlistFile, 'Tests/') && !__WEBPACK_IMPORTED_MODULE_1_lodash___default.a.has(config, 'buildSettings.GCC_PREPROCESSOR_DEFINITIONS');
});

const appNamePerEnvironment = (projectName, appNamePrefix) => {
  const projectPath = __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_7__reactNative__["b" /* projectFileFromProjectName */])(projectName);
  console.log(`\nAdding App Name per environment ${projectPath}\n`);

  const xcodeProject = xcodeProjectFromFile(projectPath);
  const buildConfigurations = getBuildConfigurations(projectPath);
  __WEBPACK_IMPORTED_MODULE_1_lodash___default.a.forEach(buildConfigurations, buildConfiguration => {
    const projectBuildConfig = findProjectBuildConfig(xcodeProject, buildConfiguration);
    const appNameSuffix = buildConfiguration === 'Release' ? '' : ` ${buildConfiguration}`;
    const appName = `${appNamePrefix}${appNameSuffix}`;
    console.log(`\nSetting up a App Name for ${buildConfiguration}: ${appName}\n`);
    projectBuildConfig.buildSettings.APP_NAME = `"${appName}"`;
  });
  saveXcodeProject(projectPath, xcodeProject);
  updateInfoPlist(`ios/${projectName}/Info.plist`, 'CFBundleDisplayName', '$(APP_NAME)');
};
/* harmony export (immutable) */ __webpack_exports__["d"] = appNamePerEnvironment;


const bundleIdPerEnvironment = (projectName, bundleIdPrefix) => {
  const projectPath = __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_7__reactNative__["b" /* projectFileFromProjectName */])(projectName);
  console.log(`\nSetting up a bundle id per environment ${projectPath}\n`);

  const xcodeProject = xcodeProjectFromFile(projectPath);
  const buildConfigurations = getBuildConfigurations(projectPath);
  __WEBPACK_IMPORTED_MODULE_1_lodash___default.a.forEach(buildConfigurations, buildConfiguration => {
    const projectBuildConfig = findProjectBuildConfig(xcodeProject, buildConfiguration);
    const bundleId = `${bundleIdPrefix}.${__WEBPACK_IMPORTED_MODULE_1_lodash___default.a.toLower(buildConfiguration)}`;
    console.log(`\nSetting up a bundle id for ${buildConfiguration}: ${bundleId}\n`);
    projectBuildConfig.buildSettings.PRODUCT_BUNDLE_IDENTIFIER = bundleId;
  });
  saveXcodeProject(projectPath, xcodeProject);
  updateInfoPlist(`ios/${projectName}/Info.plist`, 'CFBundleIdentifier', '$(PRODUCT_BUNDLE_IDENTIFIER)');
};
/* harmony export (immutable) */ __webpack_exports__["c"] = bundleIdPerEnvironment;


const addPreProcessorEnvironments = projectPath => {
  console.log(`\nAdding Preprocessor ENVIRONMENT variables in ${projectPath}\n`);

  const xcodeProject = xcodeProjectFromFile(projectPath);
  const buildConfigurations = getBuildConfigurations(projectPath);
  __WEBPACK_IMPORTED_MODULE_1_lodash___default.a.forEach(buildConfigurations, buildConfiguration => {
    const projectBuildConfig = findProjectBuildConfig(xcodeProject, buildConfiguration);
    const environmentDefiniton = `"ENVIRONMENT=\\\\@\\\\\\"${__WEBPACK_IMPORTED_MODULE_1_lodash___default.a.toUpper(buildConfiguration)}\\\\\\""`;
    const gccPreprocessorDefinitions = [environmentDefiniton, ...__webpack_require__.i(__WEBPACK_IMPORTED_MODULE_4__common_utils__["a" /* arrayWrap */])(projectBuildConfig.buildSettings.GCC_PREPROCESSOR_DEFINITIONS)];
    projectBuildConfig.buildSettings.GCC_PREPROCESSOR_DEFINITIONS = gccPreprocessorDefinitions;
  });
  saveXcodeProject(projectPath, xcodeProject);
};
/* harmony export (immutable) */ __webpack_exports__["b"] = addPreProcessorEnvironments;


const iconsPerEnvironment = projectName => {
  const projectPath = __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_7__reactNative__["b" /* projectFileFromProjectName */])(projectName);
  console.log(`\nAdding App Icon per environment\n`);
  __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_3__common_copy__["a" /* copyFiles */])(__WEBPACK_IMPORTED_MODULE_6_path___default.a.join(__dirname, 'src/reactNativeConfig/iosAppIcons'), `ios/${projectName}/Images.xcassets/`);
  __WEBPACK_IMPORTED_MODULE_2_fs_extra___default.a.remove(`ios/${projectName}/Images.xcassets/AppIcon.appiconset`);
  const xcodeProject = xcodeProjectFromFile(projectPath);
  const buildConfigurations = getBuildConfigurations(projectPath);
  __WEBPACK_IMPORTED_MODULE_1_lodash___default.a.forEach(buildConfigurations, buildConfiguration => {
    const appBuildConfig = findAppBuildConfig(xcodeProject, buildConfiguration);
    appBuildConfig.buildSettings.ASSETCATALOG_COMPILER_APPICON_NAME = `AppIcon.${buildConfiguration}`;
  });
  saveXcodeProject(projectPath, xcodeProject);
};
/* harmony export (immutable) */ __webpack_exports__["e"] = iconsPerEnvironment;


const copyBuildConfiguration = (projectPath, existingBuildConfigName, newBuildConfigurationName) => {
  console.log(`\nCopying build configuration: ${existingBuildConfigName} to ${newBuildConfigurationName} in ${projectPath}\n`);
  const xcodeProject = xcodeProjectFromFile(projectPath);

  const buildConfigurationsToCopy = __WEBPACK_IMPORTED_MODULE_1_lodash___default.a.pickBy(xcodeProject.pbxXCBuildConfigurationSection(), buildConfiguration => buildConfiguration.name === existingBuildConfigName);

  __WEBPACK_IMPORTED_MODULE_1_lodash___default.a.forEach(buildConfigurationsToCopy, (buildConfigurationToCopy, key) => {
    const newBuildConfigUuid = xcodeProject.generateUuid();
    xcodeProject.pbxXCBuildConfigurationSection()[newBuildConfigUuid] = __WEBPACK_IMPORTED_MODULE_1_lodash___default.a.cloneDeep(buildConfigurationToCopy);
    xcodeProject.pbxXCBuildConfigurationSection()[newBuildConfigUuid].name = newBuildConfigurationName;
    xcodeProject.pbxXCBuildConfigurationSection()[`${newBuildConfigUuid}_comment`] = newBuildConfigurationName;

    const xcConfigListKey = __WEBPACK_IMPORTED_MODULE_1_lodash___default.a.findKey(xcodeProject.pbxXCConfigurationList(), xcConfigList => __WEBPACK_IMPORTED_MODULE_1_lodash___default.a.includes(__WEBPACK_IMPORTED_MODULE_1_lodash___default.a.map(xcConfigList.buildConfigurations, 'value'), key));

    xcodeProject.pbxXCConfigurationList()[xcConfigListKey].buildConfigurations.push({ value: newBuildConfigUuid, comment: newBuildConfigurationName });
  });

  saveXcodeProject(projectPath, xcodeProject);
};
/* harmony export (immutable) */ __webpack_exports__["a"] = copyBuildConfiguration;


/***/ }),

/***/ 0:
/***/ (function(module, exports) {

module.exports = require("lodash");

/***/ }),

/***/ 1:
/***/ (function(module, exports) {

module.exports = require("fs-extra");

/***/ }),

/***/ 10:
/***/ (function(module, exports) {

module.exports = require("jsonfile");

/***/ }),

/***/ 11:
/***/ (function(module, exports) {

module.exports = require("plist");

/***/ }),

/***/ 12:
/***/ (function(module, exports) {

module.exports = require("replace-in-file");

/***/ }),

/***/ 13:
/***/ (function(module, exports) {

module.exports = require("xcode");

/***/ }),

/***/ 14:
/***/ (function(module, exports) {

module.exports = require("yargs");

/***/ }),

/***/ 15:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__("./src/index.js");


/***/ }),

/***/ 2:
/***/ (function(module, exports) {

module.exports = require("path");

/***/ }),

/***/ 3:
/***/ (function(module, exports) {

module.exports = require("prompt-promise");

/***/ }),

/***/ 4:
/***/ (function(module, exports) {

module.exports = require("indent-string");

/***/ }),

/***/ 5:
/***/ (function(module, exports) {

module.exports = require("child_process");

/***/ }),

/***/ 6:
/***/ (function(module, exports) {

module.exports = require("crypto");

/***/ }),

/***/ 7:
/***/ (function(module, exports) {

module.exports = require("fs");

/***/ }),

/***/ 8:
/***/ (function(module, exports) {

module.exports = require("gradle-to-js/lib/parser");

/***/ }),

/***/ 9:
/***/ (function(module, exports) {

module.exports = require("json-stringify-pretty-compact");

/***/ })

/******/ });
//# sourceMappingURL=index.js.map